Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.html
Class HtmlTags

    java.lang.Object
      com.lowagie.text.html.HtmlTags

    public class HtmlTags

extends Object

A class that contains all the possible tagnames and their attributes.

Field Summary
`static String` | `ALIGN` attribute of paragraph/image/table tag
`static String` | `ALIGN_BASELINE` the possible value of an alignment attribute
`static String` | `ALIGN_BOTTOM` the possible value of an alignment attribute
`static String` | `ALIGN_CENTER` the possible value of an alignment attribute
`static String` | `ALIGN_JUSTIFIED` the possible value of an alignment attribute
`static String` | `ALIGN_LEFT` the possible value of an alignment attribute
`static String` | `ALIGN_MIDDLE` the possible value of an alignment attribute
`static String` | `ALIGN_RIGHT` the possible value of an alignment attribute
`static String` | `ALIGN_TOP` the possible value of an alignment attribute
`static String` | `ALT` attribute of the image tag
`static String` | `ANCHOR` the anchor tag
`static String` | `AUTHOR` attribute of the root tag
`static String` | `B` some phrase tag
`static String` | `BACKGROUNDCOLOR` attribute of the table/cell tag
`static String` | `BODY` the body tag.
`static String` | `BORDERCOLOR` attribute of the table/cell tag
`static String` | `BORDERWIDTH` attribute of the table/cell tag
`static String` | `BOTTOM` attribute of the table/cell tag
`static String` | `BOTTOMMARGIN` This is a possible HTML attribute for the BODY tag.
`static String` | `CELL` the cell tag
`static String` | `CELLPADDING` attribute of the table tag
`static String` | `CELLSPACING` attribute of the table tag
`static String` | `CHUNK` the chunk tag
`static String` | `CODE` the phrase tag
`static String` | `COLOR` attribute of the chunk/table/cell tag
`static String` | `COLSPAN` attribute of the cell tag
`static String` | `COLUMNS` attribute of the table tag
`static String` | `CONTENT` This is a possible HTML attribute for the HEAD tag.
`static String` | `DEFAULT` the possible value of an alignment attribute
`static String` | `DIV` The DIV tag.
`static String` | `EM` some phrase tag
`static String` | `FONT` attribute of the chunk tag
`static String[]` | `H` attribute of anchor tag
`static String` | `HEAD` the head tag
`static String` | `HEADERCELL` attribute of the cell tag
`static String` | `HORIZONTALALIGN` attribute of the cell tag
`static String` | `HORIZONTALRULE` the possible value of a tag
`static String` | `HTML` the root tag.
`static String` | `I` some phrase tag
`static String` | `IMAGE` the image tag
`static String` | `JAVASCRIPT` This is a possible value for the LANGUAGE attribute.
`static String` | `JAVASCRIPT_ONLOAD` This is a possible HTML attribute for the BODY tag
`static String` | `JAVASCRIPT_ONUNLOAD` This is a possible HTML attribute for the BODY tag
`static String` | `KEYWORDS` attribute of the root tag
`static String` | `LANGUAGE` This is a possible HTML attribute for the SCRIPT tag.
`static String` | `LEFT` attribute of chapter/section/paragraph/table/cell tag
`static String` | `LEFTMARGIN` This is a possible HTML attribute for the BODY tag.
`static String` | `LINK` The LINK tag.
`static String` | `LISTITEM` the listitem tag
`static String` | `META` the meta tag
`static String` | `NAME` attribute of anchor tag
`static String` | `NEWLINE` the newpage tag
`static String` | `NOWRAP` attribute of the cell tag
`static String` | `ORDEREDLIST` the list tag
`static String` | `PARAGRAPH` the paragraph tag
`static String` | `PLAINHEIGHT` attribute of the image tag
`static String` | `PLAINWIDTH` attribute of the image tag
`static String` | `REFERENCE` attribute of anchor tag
`static String` | `REL` This is a possible HTML attribute for the LINK tag.
`static String` | `RIGHT` attribute of chapter/section/paragraph/table/cell tag
`static String` | `RIGHTMARGIN` This is a possible HTML attribute for the BODY tag.
`static String` | `ROW` the cell tag
`static String` | `ROWSPAN` attribute of the cell tag
`static String` | `S` some phrase tag
`static String` | `SCRIPT` the script tag.
`static String` | `SIZE` attribute of the chunk tag
`static String` | `SPAN` The SPAN tag.
`static String` | `STRONG` some phrase tag
`static String` | `STYLE` This is used for inline css style information
`static String` | `STYLESHEET` This is a possible HTML attribute.
`static String` | `SUB` some phrase tag
`static String` | `SUBJECT` attribute of the root tag
`static String` | `SUP` some phrase tag
`static String` | `TABLE` the table tag
`static String` | `TEXT_CSS` This is a possible HTML attribute for the LINK tag.
`static String` | `TITLE` the title tag.
`static String` | `TOP` attribute of the table/cell tag
`static String` | `TOPMARGIN` This is a possible HTML attribute for the BODY tag.
`static String` | `TYPE` This is a possible HTML attribute for the LINK tag.
`static String` | `U` some phrase tag
`static String` | `UNORDEREDLIST` the list tag
`static String` | `URL` attribute of the image tag
`static String` | `VAR` the phrase tag
`static String` | `VERTICALALIGN` attribute of the cell tag
`static String` | `WIDTH` attribute of the table/cell tag

Constructor Summary
`HtmlTags()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTML

    public static final String HTML

  the root tag.

  See Also:
    Constant Field Values

### HEAD

    public static final String HEAD

  the head tag

  See Also:
    Constant Field Values

### CONTENT

    public static final String CONTENT

  This is a possible HTML attribute for the HEAD tag.

  See Also:
    Constant Field Values

### META

    public static final String META

  the meta tag

  See Also:
    Constant Field Values

### SUBJECT

    public static final String SUBJECT

  attribute of the root tag

  See Also:
    Constant Field Values

### KEYWORDS

    public static final String KEYWORDS

  attribute of the root tag

  See Also:
    Constant Field Values

### AUTHOR

    public static final String AUTHOR

  attribute of the root tag

  See Also:
    Constant Field Values

### TITLE

    public static final String TITLE

  the title tag.

  See Also:
    Constant Field Values

### SCRIPT

    public static final String SCRIPT

  the script tag.

  See Also:
    Constant Field Values

### LANGUAGE

    public static final String LANGUAGE

  This is a possible HTML attribute for the SCRIPT tag.

  See Also:
    Constant Field Values

### JAVASCRIPT

    public static final String JAVASCRIPT

  This is a possible value for the LANGUAGE attribute.

  See Also:
    Constant Field Values

### BODY

    public static final String BODY

  the body tag.

  See Also:
    Constant Field Values

### JAVASCRIPT_ONLOAD

    public static final String JAVASCRIPT_ONLOAD

  This is a possible HTML attribute for the BODY tag

  See Also:
    Constant Field Values

### JAVASCRIPT_ONUNLOAD

    public static final String JAVASCRIPT_ONUNLOAD

  This is a possible HTML attribute for the BODY tag

  See Also:
    Constant Field Values

### TOPMARGIN

    public static final String TOPMARGIN

  This is a possible HTML attribute for the BODY tag.

  See Also:
    Constant Field Values

### BOTTOMMARGIN

    public static final String BOTTOMMARGIN

  This is a possible HTML attribute for the BODY tag.

  See Also:
    Constant Field Values

### LEFTMARGIN

    public static final String LEFTMARGIN

  This is a possible HTML attribute for the BODY tag.

  See Also:
    Constant Field Values

### RIGHTMARGIN

    public static final String RIGHTMARGIN

  This is a possible HTML attribute for the BODY tag.

  See Also:
    Constant Field Values

### CHUNK

    public static final String CHUNK

  the chunk tag

  See Also:
    Constant Field Values

### CODE

    public static final String CODE

  the phrase tag

  See Also:
    Constant Field Values

### VAR

    public static final String VAR

  the phrase tag

  See Also:
    Constant Field Values

### ANCHOR

    public static final String ANCHOR

  the anchor tag

  See Also:
    Constant Field Values

### ORDEREDLIST

    public static final String ORDEREDLIST

  the list tag

  See Also:
    Constant Field Values

### UNORDEREDLIST

    public static final String UNORDEREDLIST

  the list tag

  See Also:
    Constant Field Values

### LISTITEM

    public static final String LISTITEM

  the listitem tag

  See Also:
    Constant Field Values

### PARAGRAPH

    public static final String PARAGRAPH

  the paragraph tag

  See Also:
    Constant Field Values

### NAME

    public static final String NAME

  attribute of anchor tag

  See Also:
    Constant Field Values

### REFERENCE

    public static final String REFERENCE

  attribute of anchor tag

  See Also:
    Constant Field Values

### H

    public static final String[] H

  attribute of anchor tag

### FONT

    public static final String FONT

  attribute of the chunk tag

  See Also:
    Constant Field Values

### SIZE

    public static final String SIZE

  attribute of the chunk tag

  See Also:
    Constant Field Values

### COLOR

    public static final String COLOR

  attribute of the chunk/table/cell tag

  See Also:
    Constant Field Values

### EM

    public static final String EM

  some phrase tag

  See Also:
    Constant Field Values

### I

    public static final String I

  some phrase tag

  See Also:
    Constant Field Values

### STRONG

    public static final String STRONG

  some phrase tag

  See Also:
    Constant Field Values

### B

    public static final String B

  some phrase tag

  See Also:
    Constant Field Values

### S

    public static final String S

  some phrase tag

  See Also:
    Constant Field Values

### U

    public static final String U

  some phrase tag

  See Also:
    Constant Field Values

### SUB

    public static final String SUB

  some phrase tag

  See Also:
    Constant Field Values

### SUP

    public static final String SUP

  some phrase tag

  See Also:
    Constant Field Values

### HORIZONTALRULE

    public static final String HORIZONTALRULE

  the possible value of a tag

  See Also:
    Constant Field Values

### TABLE

    public static final String TABLE

  the table tag

  See Also:
    Constant Field Values

### ROW

    public static final String ROW

  the cell tag

  See Also:
    Constant Field Values

### CELL

    public static final String CELL

  the cell tag

  See Also:
    Constant Field Values

### HEADERCELL

    public static final String HEADERCELL

  attribute of the cell tag

  See Also:
    Constant Field Values

### COLUMNS

    public static final String COLUMNS

  attribute of the table tag

  See Also:
    Constant Field Values

### CELLPADDING

    public static final String CELLPADDING

  attribute of the table tag

  See Also:
    Constant Field Values

### CELLSPACING

    public static final String CELLSPACING

  attribute of the table tag

  See Also:
    Constant Field Values

### COLSPAN

    public static final String COLSPAN

  attribute of the cell tag

  See Also:
    Constant Field Values

### ROWSPAN

    public static final String ROWSPAN

  attribute of the cell tag

  See Also:
    Constant Field Values

### NOWRAP

    public static final String NOWRAP

  attribute of the cell tag

  See Also:
    Constant Field Values

### BORDERWIDTH

    public static final String BORDERWIDTH

  attribute of the table/cell tag

  See Also:
    Constant Field Values

### WIDTH

    public static final String WIDTH

  attribute of the table/cell tag

  See Also:
    Constant Field Values

### BACKGROUNDCOLOR

    public static final String BACKGROUNDCOLOR

  attribute of the table/cell tag

  See Also:
    Constant Field Values

### BORDERCOLOR

    public static final String BORDERCOLOR

  attribute of the table/cell tag

  See Also:
    Constant Field Values

### ALIGN

    public static final String ALIGN

  attribute of paragraph/image/table tag

  See Also:
    Constant Field Values

### LEFT

    public static final String LEFT

  attribute of chapter/section/paragraph/table/cell tag

  See Also:
    Constant Field Values

### RIGHT

    public static final String RIGHT

  attribute of chapter/section/paragraph/table/cell tag

  See Also:
    Constant Field Values

### HORIZONTALALIGN

    public static final String HORIZONTALALIGN

  attribute of the cell tag

  See Also:
    Constant Field Values

### VERTICALALIGN

    public static final String VERTICALALIGN

  attribute of the cell tag

  See Also:
    Constant Field Values

### TOP

    public static final String TOP

  attribute of the table/cell tag

  See Also:
    Constant Field Values

### BOTTOM

    public static final String BOTTOM

  attribute of the table/cell tag

  See Also:
    Constant Field Values

### IMAGE

    public static final String IMAGE

  the image tag

  See Also:
    Constant Field Values

### URL

    public static final String URL

  attribute of the image tag

  See Also:
    Constant Field Values

### ALT

    public static final String ALT

  attribute of the image tag

  See Also:
    Constant Field Values

### PLAINWIDTH

    public static final String PLAINWIDTH

  attribute of the image tag

  See Also:
    Constant Field Values

### PLAINHEIGHT

    public static final String PLAINHEIGHT

  attribute of the image tag

  See Also:
    Constant Field Values

### NEWLINE

    public static final String NEWLINE

  the newpage tag

  See Also:
    Constant Field Values

### ALIGN_LEFT

    public static final String ALIGN_LEFT

  the possible value of an alignment attribute

  See Also:
    Constant Field Values

### ALIGN_CENTER

    public static final String ALIGN_CENTER

  the possible value of an alignment attribute

  See Also:
    Constant Field Values

### ALIGN_RIGHT

    public static final String ALIGN_RIGHT

  the possible value of an alignment attribute

  See Also:
    Constant Field Values

### ALIGN_JUSTIFIED

    public static final String ALIGN_JUSTIFIED

  the possible value of an alignment attribute

  See Also:
    Constant Field Values

### ALIGN_TOP

    public static final String ALIGN_TOP

  the possible value of an alignment attribute

  See Also:
    Constant Field Values

### ALIGN_MIDDLE

    public static final String ALIGN_MIDDLE

  the possible value of an alignment attribute

  See Also:
    Constant Field Values

### ALIGN_BOTTOM

    public static final String ALIGN_BOTTOM

  the possible value of an alignment attribute

  See Also:
    Constant Field Values

### ALIGN_BASELINE

    public static final String ALIGN_BASELINE

  the possible value of an alignment attribute

  See Also:
    Constant Field Values

### DEFAULT

    public static final String DEFAULT

  the possible value of an alignment attribute

  See Also:
    Constant Field Values

### DIV

    public static final String DIV

  The DIV tag.

  See Also:
    Constant Field Values

### SPAN

    public static final String SPAN

  The SPAN tag.

  See Also:
    Constant Field Values

### LINK

    public static final String LINK

  The LINK tag.

  See Also:
    Constant Field Values

### TEXT_CSS

    public static final String TEXT_CSS

  This is a possible HTML attribute for the LINK tag.

  See Also:
    Constant Field Values

### REL

    public static final String REL

  This is a possible HTML attribute for the LINK tag.

  See Also:
    Constant Field Values

### STYLE

    public static final String STYLE

  This is used for inline css style information

  See Also:
    Constant Field Values

### TYPE

    public static final String TYPE

  This is a possible HTML attribute for the LINK tag.

  See Also:
    Constant Field Values

### STYLESHEET

    public static final String STYLESHEET

  This is a possible HTML attribute.

  See Also:
    Constant Field Values

Constructor Detail

### HtmlTags

    public HtmlTags()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD